#pragma once

#include <SDL.h>
#include <iostream>

class Student
{
public:
	Student(int posX, int posY);

	// Get sheetOrigin
	SDL_Rect SheetOrigin();

	// Get character position
	SDL_Rect CharPos();

	// update moving
	void Move(char d, bool lift);

	// update position
	void Update(char R);

	// get pos
	int GetPos(char a);

	// get health
	int GetHealth();

	// DemonCol
	void DemonCol(int DemonX, int DemonY, int DemonW, int DemonH,bool insta);

	// DetectCollision
	bool Collided(int objX, int objY, int objW, int objH);

	// Reset Character
	void Reset(int posX, int posY);

	// SetPos
	void SetPos(int posX, int posY);

	// Wall Detection
	void WallDetection(bool north, bool east, bool south, bool west);

	~Student();
private:
	int immune = 0;
	int health;
	char moving = '-';
	int spriteCount = 0;
	SDL_Rect sheetOrgin;
	SDL_Rect screenOutput;

};

