#pragma once

#include <SDL.h>

class Demon
{
public:
	Demon(int posX, int posY);
	~Demon();

	// Update demon
	void Update(int playerX, int playerY);

	// Get sheetOrigin
	SDL_Rect SheetOrigin();

	// Get character position
	SDL_Rect CharPos();

	// Reset Character
	void Reset(int posX, int posY);

private:
	char moving = 'W';
	SDL_Rect sheetOrgin;
	SDL_Rect screenOutput;
};

